﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Net.Http;
using System.Net.Http.Headers;

namespace WebAPIFormatterClient
{
    class Program
    {
        static void Main(string[] args)
        {
            HttpClient client = new HttpClient();

            // Add the Accept header
            client.DefaultRequestHeaders.Accept.Add(new MediaTypeWithQualityHeaderValue("text/csv"));

            // Get the result and write it to a file.
            // (Port 9000 is just an example port number.)
            string result = client.GetStringAsync("http://localhost:7366//api/product/").Result;
            System.IO.File.WriteAllText("products.csv", result);
        }
    }
}
